DK API 文档

instagram 01

15 个接口

GETfetch cities

GET https://dkai.store/api/v1/instagram/v1/fetch_cities

1 积分 / 成功调用

参数位置要求说明
country_codequery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v1/fetch_cities?country_code=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch comment replies

GET https://dkai.store/api/v1/instagram/v1/fetch_comment_replies

1 积分 / 成功调用

参数位置要求说明
media_idquery必填
comment_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v1/fetch_comment_replies?media_id=VALUE&comment_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch explore sections

GET https://dkai.store/api/v1/instagram/v1/fetch_explore_sections

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v1/fetch_explore_sections'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch hashtag posts

GET https://dkai.store/api/v1/instagram/v1/fetch_hashtag_posts

1 积分 / 成功调用

参数位置要求说明
hashtagquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v1/fetch_hashtag_posts?hashtag=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch location info

GET https://dkai.store/api/v1/instagram/v1/fetch_location_info

1 积分 / 成功调用

参数位置要求说明
location_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v1/fetch_location_info?location_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch location posts

GET https://dkai.store/api/v1/instagram/v1/fetch_location_posts

1 积分 / 成功调用

参数位置要求说明
location_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v1/fetch_location_posts?location_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch locations

GET https://dkai.store/api/v1/instagram/v1/fetch_locations

1 积分 / 成功调用

参数位置要求说明
city_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v1/fetch_locations?city_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch music posts

GET https://dkai.store/api/v1/instagram/v1/fetch_music_posts

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v1/fetch_music_posts'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch post by id

GET https://dkai.store/api/v1/instagram/v1/fetch_post_by_id

1 积分 / 成功调用

参数位置要求说明
post_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v1/fetch_post_by_id?post_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch post by url

GET https://dkai.store/api/v1/instagram/v1/fetch_post_by_url

1 积分 / 成功调用

参数位置要求说明
post_urlquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v1/fetch_post_by_url?post_url=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch post by url v2

GET https://dkai.store/api/v1/instagram/v1/fetch_post_by_url_v2

1 积分 / 成功调用

参数位置要求说明
post_urlquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v1/fetch_post_by_url_v2?post_url=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch post comments v2

GET https://dkai.store/api/v1/instagram/v1/fetch_post_comments_v2

1 积分 / 成功调用

参数位置要求说明
media_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v1/fetch_post_comments_v2?media_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch section posts

GET https://dkai.store/api/v1/instagram/v1/fetch_section_posts

1 积分 / 成功调用

参数位置要求说明
section_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v1/fetch_section_posts?section_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。